=== debian/changelog ===
cf-python (1.3.2+dfsg1-4) unstable; urgency=medium

  * Adapt to netCDF4-python 1.2.5 (Closes: #846730)

 -- Klaus Zimmermann <kz38@zaphodb>  Fri, 09 Dec 2016 17:44:07 +0100

cf-python (1.3.2+dfsg1-3) unstable; urgency=medium

  * Fix FTBFS. Thanks to Gianfranco Costamagna.

 -- Klaus Zimmermann <klaus_zimmermann@gmx.de>  Fri, 21 Oct 2016 17:09:04 +0200

cf-python (1.3.2+dfsg1-2) unstable; urgency=medium

  * Fix sphinxdoc dependency (Closes: #841374)
  * Make build reproducible (Closes: #841497)

 -- Klaus Zimmermann <klaus_zimmermann@gmx.de>  Fri, 21 Oct 2016 13:00:29 +0200

cf-python (1.3.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #777315)

 -- Klaus Zimmermann <klaus_zimmermann@gmx.de>  Fri, 23 Sep 2016 12:44:59 +0200
