=== debian/control ===
Source: cf-python
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Klaus Zimmermann <klaus_zimmermann@gmx.de>,
Build-Depends:
 debhelper (>=9),
 dh-python,
 libudunits2-0,
 python-all (>= 2.6.6-3~),
 python-matplotlib,
 python-netcdf4,
 python-numpy,
 python-psutil,
 python-setuptools,
 sphinx-common,
Build-Depends-Indep:
 python-doc,
 python-matplotlib-doc,
 python-numpy-doc,
 python-scipy-doc,
 python-sphinx,
 sphinx-doc,
Standards-Version: 3.9.8
Homepage: http://cfpython.bitbucket.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cf-python.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cf-python.git

Package: python-cf
Architecture: any
Depends:
 libudunits2-0,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 python-cf-doc,
Description: Python processing of Climate and Forecast (CF) data models (Python 2)
 CF is a netCDF convention which is in wide and growing use for the storage of
 model-generated and observational data relating to the atmosphere, ocean and
 Earth system.
 .
 This package is an implementation of the CF data model, and as such it is an
 API allows for the full scope of data and metadata interactions described by
 the CF conventions.
 .
 With this package you can:
  - Read CF-netCDF files, CFA-netCDF files and UK Met Office fields files and
    PP files.
  - Create CF fields.
  - Write fields to CF-netCDF and CFA-netCDF files on disk.
  - Aggregate collections of fields into as few multidimensional fields as
    possible using the CF aggregation rules.
  - Create, delete and modify a field’s data and metadata.
  - Select and subspace fields according to their metadata.
  - Perform broadcastable, metadata-aware arithmetic, comparison and
    trigonometric operation with fields.
  - Collapse fields by statistical operations.
  - Sensibly deal with date-time data.
  - Allow for cyclic axes.
  - Visualize fields the cfplot package.
 .
 All of the above use Large Amounts of Massive Arrays (LAMA) functionality,
 which allows multiple fields larger than the available memory to exist and be
 manipulated.
 .
 This package installs the library for Python 2.

Package: python-cf-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 libjs-requirejs,
 libjs-underscore,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python processing of Climate and Forecast (CF) data models (Documentation)
 CF is a netCDF convention which is in wide and growing use for the storage of
 model-generated and observational data relating to the atmosphere, ocean and
 Earth system.
 .
 This package is an implementation of the CF data model, and as such it is an
 API allows for the full scope of data and metadata interactions described by
 the CF conventions.
 .
 With this package you can:
  - Read CF-netCDF files, CFA-netCDF files and UK Met Office fields files and
    PP files.
  - Create CF fields.
  - Write fields to CF-netCDF and CFA-netCDF files on disk.
  - Aggregate collections of fields into as few multidimensional fields as
    possible using the CF aggregation rules.
  - Create, delete and modify a field’s data and metadata.
  - Select and subspace fields according to their metadata.
  - Perform broadcastable, metadata-aware arithmetic, comparison and
    trigonometric operation with fields.
  - Collapse fields by statistical operations.
  - Sensibly deal with date-time data.
  - Allow for cyclic axes.
  - Visualize fields the cfplot package.
 .
 All of the above use Large Amounts of Massive Arrays (LAMA) functionality,
 which allows multiple fields larger than the available memory to exist and be
 manipulated.
 .
 This is the common documentation package.
