=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d+$//,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
repacksuffix=+dfsg1" \
https://pypi.debian.net/cf-python/cf-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
